Summary: GNU Common Lisp compiler
Name: gcl

%global momorel 6
Version: 2.5.3
Release: %{momorel}m
License: LGPL
Group: Development/Languages
URL: http://www.gnu.org/software/gcl/

%NoSource 0 ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz 42c24f9a8d4f823c7c411cbf77edb36f
Source1: gcl.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(build): tcl >= 8.4.5-1m, tk >= 8.4.5-1m, ncurses-devel, readline-devel
BuildRequires(build): gmp-devel, binutils-devel
Requires: gcc

%description
GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
implemented in C, and complying mostly with the standard set forth in
the book "Common Lisp, the Language I".  It attempts to strike a
useful middle ground in performance and portability from its design
around C.

This package contains the Lisp system itself.  Documentation is
provided in the gcl-doc package.

%prep
%setup -q

%build
aclocal
autoconf-2.13
%configure \
  --enable-notify=no \
  --enable-gmp \
  --enable-common-binary \
  --disable-dlopen \
  --enable-statsysbfd \
  --disable-dynsysbfd \
  --disable-locbfd \
  --disable-custreloc \
  --disable-debug \
  --disable-pic \
  --enable-dynsysgmp \
  --with-x \
  --enable-readline \
  --enable-infodir=%{_infodir}
%__make

. %{_libdir}/tkConfig.sh
tk_libdir=%{_libdir}/tk${TK_VERSION}
gcl_libdir=%{_libdir}/%{name}-%{version}
%__sed -e "s!@gcl_libdir@!${gcl_libdir}!g" \
       -e "s!@tk_libdir@!${tk_libdir}!g" \
       %{S:1} \
  > gcl.sh

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall \
  EMACS_SITE_LISP="" \
  INFO_DIR=%{buildroot}%{_infodir}/

%__install -m 0755 gcl.sh %{buildroot}%{_bindir}/gcl

%__rm -rf gcl-doc
%__mv %{buildroot}%{_datadir}/doc/gcl-doc .

# remove
%__rm -f %{buildroot}/usr/share/info/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING* ChangeLog* RELEASE* readme* gcl-doc/*
%{_bindir}/gcl
%{_libdir}/gcl-%{version}
%{_infodir}/gcl*

%changelog
* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.3-7m)
- rebuild against tcl,tk

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.5.3-6m)
- revised spec for enabling rpm 4.2.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.3-5m)
- use static system libbfd.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.3-4m)
- Requires: gcc.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.3-3m)
- some corrects.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.3-2m)
- correct script.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.3-1m)
- first spec file.
